Get seen license plates

Returns the timestamps, detected license plate numbers, and images of all license plates seen by a camera.

Only works for cameras that are LPR enabled.

Response may be paginated if page_token exists.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint allows users to programmatically get the detected timestamps, detected license plate numbers, and images of all license plates seen by a Verkada LPR camera. To retrieve the detections, users must input a camera_id from a camera in LPR mode.

Users also have the option to specify a start_time and end_time to narrow their search, as well as a license_plate string to filter results by, and a returned page_size.

Depending on the number of seen license plates, the returned JSON may be paginated. See the Pagination page for more information.

Note: Retrieving the seen license plates can only be done for a single camera at a time. It is possible to retrieve the results across multiple cameras through a script that sends multiple GET requests while iterating through a list of camera IDs.

Query Params
string
required

The unique identifier of the camera.

string

License plate number to filter by.

integer

The start of the time range.
Formatted as a Unix timestamp in seconds.
Defaults to a day from the current time.

integer

The end of the time range.
Formatted as a Unix timestamp in seconds.
Defaults to the current time.

integer
0 to 200
Defaults to 100

The number of items returned in a single response.
Default is 100. Max is 200.

integer

The pagination token used to fetch the next page of results.

Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json